## org.apache.poi.xwpf.model
Class XMLParagraph

    java.lang.Object
      org.apache.poi.xwpf.model.XMLParagraph

    public class XMLParagraph

extends java.lang.Object

Base class for XWPF paragraphs

Author:
  Yury Batrakov (batrakov at gmail.com)

Field Summary
`protected org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP` `paragraph`

Constructor Summary
`XMLParagraph(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP paragraph)`

Method Summary
`org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP` `getCTP()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paragraph

    protected org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP paragraph

Constructor Detail

### XMLParagraph

    public XMLParagraph(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP paragraph)

Method Detail

### getCTP

    public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTP getCTP()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.